# petsc4py.PETSc.MatPartitioning.Type

class petsc4py.PETSc.MatPartitioning.Type

  Bases: `object`

  The partitioning types.

  Attributes Summary

  `PARTITIONINGAVERAGE` | Object `PARTITIONINGAVERAGE` of type `str`
  `PARTITIONINGCHACO` | Object `PARTITIONINGCHACO` of type `str`
  `PARTITIONINGCURRENT` | Object `PARTITIONINGCURRENT` of type `str`
  `PARTITIONINGHIERARCH` | Object `PARTITIONINGHIERARCH` of type `str`
  `PARTITIONINGPARMETIS` | Object `PARTITIONINGPARMETIS` of type `str`
  `PARTITIONINGPARTY` | Object `PARTITIONINGPARTY` of type `str`
  `PARTITIONINGPTSCOTCH` | Object `PARTITIONINGPTSCOTCH` of type `str`
  `PARTITIONINGSQUARE` | Object `PARTITIONINGSQUARE` of type `str`

  Attributes Documentation

  PARTITIONINGAVERAGE: str = PARTITIONINGAVERAGE

    Object `PARTITIONINGAVERAGE` of type `str`

  PARTITIONINGCHACO: str = PARTITIONINGCHACO

    Object `PARTITIONINGCHACO` of type `str`

  PARTITIONINGCURRENT: str = PARTITIONINGCURRENT

    Object `PARTITIONINGCURRENT` of type `str`

  PARTITIONINGHIERARCH: str = PARTITIONINGHIERARCH

    Object `PARTITIONINGHIERARCH` of type `str`

  PARTITIONINGPARMETIS: str = PARTITIONINGPARMETIS

    Object `PARTITIONINGPARMETIS` of type `str`

  PARTITIONINGPARTY: str = PARTITIONINGPARTY

    Object `PARTITIONINGPARTY` of type `str`

  PARTITIONINGPTSCOTCH: str = PARTITIONINGPTSCOTCH

    Object `PARTITIONINGPTSCOTCH` of type `str`

  PARTITIONINGSQUARE: str = PARTITIONINGSQUARE

    Object `PARTITIONINGSQUARE` of type `str`